﻿@model IEnumerable<RealEstate.Models.Project.MA_UniversityModel>
@{
    ViewBag.Title = "Search Program";
    Layout = "~/Views/Shared/layout_new.cshtml";
}
<style>
    body .modal-dialog { /* Width */
        max-width: 100%;
        width: auto !important;
        display: inline-block;
    }

    .modal {
        z-index: -1;
        display: flex !important;
        justify-content: center;
        align-items: center;
    }

    .modal-open .modal {
        z-index: 1050;
    }


    ul.a {
        list-style-type: square;
    }

    .hide {
        display: none !important
    }

    .courses-comp {
        position: fixed;
        bottom: 32px;
        width: 455px;
    }

    .courses-comp {
        z-index: 1000 !important;
    }

    .panel-default {
        border-color: #ddd;
    }

    .panel {
        margin-bottom: 20px;
        background-color: #fff;
        border: 1px solid transparent;
        border-radius: 4px;
        -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
        box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
    }

    .panel-body {
        padding: 15px;
    }

    .courses-compaire {
        position: relative;
    }

    .show-md.showCompareDiv {
        display: block;
    }

    .show-lg.showCompareDiv {
        display: block;
    }

    .margin-top-30 {
        margin-top: 30px;
    }
</style>


<!-- Modal -->
<div id="comparemodal" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Course Comparison</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>

            </div>
            <div class="modal-body">
                <div class="container">
                    <table class="table table-bordered">
                        <tbody class="comparetbody">
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>


<div class="courses-compaire dvcompare hide">
    <div class="">
        <div class="col-lg-3 col-md-6 col-sm-8 col-xs-12 col-lg-offset-4 col-md-offset-3 col-sm-offset-4 divMainCompare divMainCompareWeb hidden-xs hidden-sm show-lg show-md showCompareDiv">
            <div>
                <div class="margin-top-30">
                    <div class="panel panel-default courses-comp">
                        <div class="panel-body" style="border: 2px solid #ddd;">
                            <div>
                                <strong style="font-weight:bold;font-size:16px;" class="spnTotalCourses">0 courses </strong>
                                <span class="divMainCompareSpan" style="font-weight:bold;">added to compare </span>
                                <button type="button" class="btn btn-primary btn-sm pull-right" id="btncompare" style="font-size:15px;padding:0 9px 0 9px;text-transform:none;background: #004e9b;">Compare Courses</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>


<div class="content-wrap">

    <div class="main">
        <div class="container-fluid">



            <div class="row hide">
                <div class="col-lg-8 p-r-0 title-margin-right">
                    <div class="page-header">
                        <div class="page-title">
                            @*<h1>Hello, <span>Welcome Here</span></h1>*@
                        </div>
                    </div>
                </div>
                <!-- /# column -->
                <div class="col-lg-4 p-l-0 title-margin-left">
                    <div class="page-header">
                        <div class="page-title">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="#">Dashboard</a></li>
                                <li class="breadcrumb-item active">Search Program</li>
                            </ol>
                        </div>
                    </div>
                </div>
                <!-- /# column -->
            </div>




            <!-- /# row -->
            <section id="main-content">
                <form id="myForm" onreset="myAlertFunction()">
                    <div class="row">
                        <div class="col-lg-12 pb0">
                            <div class="card mb0">
                                <div class="card-body">
                                    <div class="col-lg-3" style="float:left;">
                                        <div class="form-group">
                                            <label class="color-white">Year</label>
                                            <div class="input-group">
                                                <input type="text" id="txtsearchtext" placeholder="Search for Course | University | Country" name="Search" class="form-control">
                                                <span class="input-group-btn"><button class="btn btn-default btn-group-right btnsearch" type="button"><i class="ti-search"></i></button></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-3" style="float:left;">
                                        <div class="form-group">
                                            <label>Intake</label>

                                            <select id="ddl_intake" class="form-control selectpicker" multiple data-live-search="true">
                                            </select>

                                        </div>
                                    </div>
                                    <div class="col-lg-3" style="float:left;">
                                        <label>Year</label>

                                        <select id="ddl_year" class="form-control selectpicker" data-live-search="true">
                                        </select>

                                    </div>
                                    <div class="col-lg-3" style="display:inline-block;"><label class="color-white">Year</label><button type="button" class="col-lg-12 btn btn-default" id="btnsearch">Search</button></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" id="myDIV" style="display:none;">
                        <div class="col-lg-12 pt0 pb0">
                            <div class="card mt0 mb0">
                                <div class="card-body">
                                    <div class="col-lg-3 fl_lft">
                                        <label><b>Program Level</b></label>
                                        <ul id="ckb_programlevel">
                                            @*<li><label><input type="checkbox"><i></i><span> High School (11th - 12th)</span></label></li>*@
                                        </ul>
                                    </div>
                                    <div class="col-lg-3 fl_lft">
                                        <label><b>Country</b></label>
                                        <div class="dropdown mb15">

                                            <select id="ddlcountry" class="form-control selectpicker" multiple data-live-search="true">
                                            </select>


                                        </div>
                                        <label><b>Study Area</b></label>
                                        <div class="dropdown mb15">


                                            <select class="form-control selectpicker" id="ddlstudyarea" multiple data-live-search="true">
                                            </select>

                                        </div>
                                        <label><b>Discipline Area</b></label>
                                        <div class="dropdown mb15">


                                            <select id="ddldisciplinearea" class="form-control selectpicker" data-live-search="true">
                                            </select>



                                        </div>
                                    </div>
                                    <div class="col-lg-3 fl_lft">
                                        <label><b>Duration</b></label>
                                        <div class="dropdown mb15">

                                            <select id="ddlduration" class="form-control selectpicker" data-live-search="true">
                                            </select>

                                        </div>
                                        @*<label><b>ESL / ELP Available</b></label>*@
                                        <div class="dropdown mb15 hide">
                                            <select id="ddlelp" class="form-control selectpicker" data-live-search="true">
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-lg-3 fl_lft">
                                        <label><b>Requirements</b></label>
                                        <ul id="ckbrequirements">
                                        </ul>
                                    </div>
                                    <div class="row col-lg-12 clear"><a href="#" class="color-red" onclick="myResetFunction()">Clear All</a></div>


                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="row stat-widget-two">
                    <div class="col-lg-12 pb0 pt0">
                        <div class="col-lg-3 col-offset-lg-9 pb0 pt0 dib"><input id="btnadvancesearch" class="col-lg-12 btn btn-default" type="button" value="Advance Search" style="bottom: 20px" /></div>
                    </div>
                </div>



                <div class="row" id="dvresult" style="display:none">
                    @Html.Partial("_Result", Model)
                </div>

            </section>





        </div>
    </div>
</div>

@section Scripts
{
    <script type="text/javascript">
        function showloader(param) {
            if (param) {
                $(".loading").css('display', 'flex');
            }
            else {
                $(".loading").css('display', 'none');
            }
        }
        function myResetFunction() {
            document.getElementById("myForm").reset();
            $("#ddlcountry,#ddlstudyarea,#ddlduration,#ddlelp").selectpicker('refresh');
            $("#ddldisciplinearea").empty().selectpicker('refresh');

        }

        var jsonfilter = "";
        function pageload() {

            showloader(true)

            $.ajax({
                type: "GET",
                url: '/university/get_filter/',
                data: null,
                dataType: "json",
                contentType: "application/json; charset=utf-8",
                success: function (i, v) {
                    showloader(false)
                    jsonfilter = i;

                    $("#ddl_intake,#ddl_year,#ddlcountry").empty();
                    $.each(_.where(i, { Type: "Intake" }), function (i, v) {
                        $("#ddl_intake").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    });
                    $.each(_.where(i, { Type: "Year" }), function (i, v) {
                        $("#ddl_year").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    });

                    $.each(_.where(i, { Type: "programlevel" }), function (i, v) {
                        $("#ckb_programlevel").append(' <li><label><input type="checkbox" class="ckb_programlevel" id=' + v.Name.replace(/ /g, '_-') + '><i></i><span>    ' + v.Name + '</span></label></li>');
                    });

                    $.each(_.where(i, { Type: "country" }), function (i, v) {
                        $("#ddlcountry").append('<option value="' + v.Name + '">' + v.Name + '</option>').selectpicker('refresh');
                    });

                    $.each(_.where(i, { Type: "studyarea" }), function (i, v) {
                        $("#ddlstudyarea").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    });

                    $.each(_.where(i, { Type: "duration" }), function (i, v) {
                        $("#ddlduration").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    });
                    $.each(_.where(i, { Type: "elp" }), function (i, v) {
                        $("#ddlelp").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    });
                    $.each(_.where(i, { Type: "requirements" }), function (i, v) {
                        $("#ckbrequirements").append(' <li><label><input type="checkbox" class="ckb_requirements" id=' + v.Id + '><i></i><span> ' + v.Name + '</span></label></li>');
                    });
                },
                error: function () {
                    showloader(false)
                    alert("Error while inserting data");
                }
            });
        }

        var searchurl = "";
        var pagefilterurl = "";
        function universitysearch() {
            showloader(true)

            ckb_requirements_arr = [];
            $(".dvcompare").addClass("hide");

            var searchtext = $("#txtsearchtext").val();
            var intake = $("#ddl_intake").val();
            var year = $("#ddl_year").val();
            var programlevel = $("#ckb_programlevel").val();
            var country = $("#ddlcountry").val();
            var studyarea = $("#ddlstudyarea").val();
            var disciplinearea = $("#ddldisciplinearea").val();
            var duration = $("#ddlduration").val();
            var elp = $("#ddlelp").val();
            var requirements = $("#ckbrequirements").val();
            var university = "";
            var tutionfee = "";


            intake = intake == null ? "" : intake;
            country = country == null ? "" : country;
            studyarea = studyarea == null ? "" : studyarea;
            disciplinearea = disciplinearea == null ? "" : disciplinearea;
            duration = duration == "0" ? "" : duration;
            elp = elp == "0" ? "" : elp;



            var ckb_programlevel_arr = [];
            $(".ckb_programlevel").each(function (i, v) {
                var id = $(this).attr('id')
                var checked = $(this).is(":checked")
                if (checked) {
                    ckb_programlevel_arr.push(id)
                }
            })
            programlevel = ckb_programlevel_arr.join(",")


            var ckb_requirements_arr = [];
            $(".ckb_requirements").each(function (i, v) {
                var id = $(this).attr('id')
                var checked = $(this).is(":checked")
                if (checked) {
                    ckb_requirements_arr.push(id)
                }
            })
            requirements = ckb_requirements_arr.join(",")

            searchurl = '/university/get_university/?searchtext=' + searchtext + '&intake=' + intake + '&year=' + year + '&programlevel=' + programlevel + '&country=' + country + '&studyarea=' + studyarea + '&disciplinearea=' + disciplinearea + '&duration=' + duration + '&elp=' + elp + '&requirements=' + requirements + '&university=' + university + '&tutionfee=' + tutionfee + ''

            pagefilterurl = searchurl + "&ispagefilter=true";
            //console.log(requirements)
            $.ajax({
                type: "GET",
                url: searchurl,
                data: null,
                //dataType: "json",
                contentType: "application/json; charset=utf-8",
                success: function (i, v) {

                    showloader(false)
                    $("#dvresult").show().empty().append(i);;
                    //$("#dvuniversitylist").empty().append(i);
                    $("#lbl_count").text($("#hdn_count").val())
                },
                error: function (i, v) {
                    showloader(false)
                    alert("error")

                }
            });
        }

        //---------------------------compare------------
        var ckb_compare_arr = []
        function compare(e) {
            var id = $(e).attr('data-id')
            var checked = $(e).is(":checked")

            if (ckb_compare_arr.length + 1 > 5 && checked == true) {
                $(e).prop("checked", false)
                alert("You can compare only five courses at a time !")
                console.log(ckb_compare_arr.join(", "))
                return;
            }
            else {

                if (checked == true)
                    ckb_compare_arr.push(id)
                else
                    ckb_compare_arr.pop(id)

                if (ckb_compare_arr.length > 0) {
                    $(".dvcompare").removeClass("hide");
                    $(".spnTotalCourses").text(ckb_compare_arr.length + " courses ")
                }
                else
                    $(".dvcompare").addClass("hide");

                //console.log(ckb_compare_arr.join(", "))
            }
        }
        //---------------------------download------------
        function download() {
            var arr = [];
            $(".ckb_shortlist").each(function () {
                var id = $(this).attr('id')
                var checked = $(this).is(":checked")
                if (checked == true)
                    arr.push(id)
            })
            console.log(arr)
            //var Universityid = ckb_shortlist_arr.join(",");
            var Universityid = arr.join(",");
            if (Universityid != "") {
                showloader(true)
                $.ajax({
                    type: "GET",
                    url: '/university/export/?Universityid=' + Universityid,
                    data: null,
                    //dataType: "json",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        showloader(false)
                        var res = JSON.parse(data)
                        showloader(false)
                        console.log(res.filename)
                        //alert(res.filename)
                        window.open("/Utility/Uploads/export/" + res.filename, '_blank');
                    },
                    error: function (i, v) {
                        showloader(false)
                        alert("error")
                    }
                });
            }
            else {
                alert("Select atleast 1 university to download.")
            }
        }
        //--------------------------university page filter search----------------------
        function updateQueryStringParameter(uri, key, value) {
            var re = new RegExp("([?&])" + key + "=.*?(&|$)", "i");
            var separator = uri.indexOf('?') !== -1 ? "&" : "?";
            if (uri.match(re)) {
                return uri.replace(re, '$1' + key + "=" + value + '$2');
            }
            else {
                return uri + separator + key + "=" + value;
            }
        }

        //-------------------------
        var university_arr = [];
        var programlevel_arr = [];


        function upf_search(e, type, tutionfee) {
            showloader(true)
            //type=1 = university
            //type=2 = program level
            //type=3 = tution fee

            //console.log(type)

            var university = "";
            if (type == 1) {
                var id = $(e).attr('id')
                var checked = $(e).is(":checked")
                if (checked)
                    university_arr.push(id)
                else
                    university_arr.pop(id)
                university = university_arr.join(", ")
                //console.log(university)
                //pagefilterurl = updateQueryStringParameter(pagefilterurl, "university", university)

                $('.universityname').each(function (i, obj) {
                    var text = $(this).attr("data-universityname").replace(/ /g, '_-');
                    //console.log(text)
                    if (university_arr.length == 0) {
                        $(this).closest(".universityblock").removeClass("hide")
                    }
                    else if (university_arr.includes(text) != true) {
                        $(this).closest(".universityblock").addClass("hide")
                    } else {
                        $(this).closest(".universityblock").removeClass("hide")
                    }
                })

            }


            var programlevel = "";
            if (type == 2) {
                var id = $(e).attr('id')
                var checked = $(e).is(":checked")
                if (checked)
                    programlevel_arr.push(id)
                else
                    programlevel_arr.pop(id)
                programlevel = programlevel_arr.join(", ")
                //console.log(programlevel)
                //pagefilterurl = updateQueryStringParameter(pagefilterurl, "programlevel", programlevel)


                $('.programlevelname').each(function (i, obj) {
                    var text = $(this).attr("data-programlevelname").replace(/ /g, '_-');
                    ///console.log(text)
                    if (programlevel_arr.length == 0) {
                        $(this).closest(".universityblock").removeClass("hide")
                    }
                    else if (programlevel_arr.includes(text) != true) {
                        $(this).closest(".universityblock").addClass("hide")
                    } else {
                        $(this).closest(".universityblock").removeClass("hide")
                    }
                })
            }

            if (type == 3) {
                var selectedtutionfee = parseFloat($("#lbl_tutiofee").text());
                if (selectedtutionfee > 0) {

                    $('.tutionfeeconverted').each(function (i, obj) {
                        var tutionfeeconverted = parseFloat($(this).attr("data-tutionfeeconverted").replace(/ /g, '_-'));
                        console.log(tutionfeeconverted)
                        try {
                            if (tutionfeeconverted < selectedtutionfee) {
                                $(this).closest(".universityblock").removeClass("hide")
                            }
                            else {
                                $(this).closest(".universityblock").addClass("hide")
                            }
                        }
                        catch {
                            $(this).closest(".universityblock").removeClass("hide")
                        }
                    })
                }
                else {
                    $(this).closest(".universityblock").removeClass("hide")
                }
            }


            setTimeout(function () {
                showloader(false)
            }, 3000)




            //pagefilterurl = updateQueryStringParameter(pagefilterurl, "tutionfee", tutionfee)
            //console.log(pagefilterurl)


            //$.ajax({
            //    type: "GET",
            //    url: pagefilterurl,
            //    data: null,
            //    //dataType: "json",
            //    contentType: "application/json; charset=utf-8",
            //    success: function (i, v) {
            //        showloader(false)
            //        //$("#dvresult").show().empty().append(i);;
            //        $("#dvuniversitylist").empty().append(i);
            //        $("#lbl_count").text($("#hdn_count").val())
            //    },
            //    error: function (i, v) {
            //        showloader(false)
            //        alert("error")

            //    }
            //});
        }


        $(function () {
            pageload();

            $("#ddlstudyarea").change(function () {
                $("#ddldisciplinearea").empty().selectpicker('refresh');
                $("#ddldisciplinearea").append('<option value="">Select</option>').selectpicker('refresh');;
                var categoryid = $(this).val()
                var disciplinearea = _.where(jsonfilter, { Type: "disciplinearea" })
                $.each(categoryid, function (i, v) {
                    var evens = _.filter(disciplinearea, function (a) { return a.CategoryId == v; });
                    $.each(evens, function (i, v) {
                        $("#ddldisciplinearea").append('<option value="' + v.Id + '">' + v.Name + '</option>').selectpicker('refresh');
                    })
                })
                $('#ddldisciplinearea').val("").selectpicker('refresh');;
            })

            //$("#btn_download").click(function () {
            //    alert()
            //    var arr = [];
            //    $(".ckb_shortlist").each(function () {
            //        var id = $(this).attr('id')
            //        var checked = $(this).is(":checked")
            //        if (checked == true)
            //            arr.push(id)
            //    })
            //    console.log(arr)
            //    //var Universityid = ckb_shortlist_arr.join(",");
            //    var Universityid = arr.join(",");
            //    if (Universityid != "") {
            //        showloader(true)
            //        $.ajax({
            //            type: "GET",
            //            url: '/university/export/?Universityid=' + Universityid,
            //            data: null,
            //            //dataType: "json",
            //            contentType: "application/json; charset=utf-8",
            //            success: function (data) {

            //                var res = JSON.parse(data)
            //                showloader(false)
            //                console.log(res.filename)
            //                //alert(res.filename)
            //                window.open("/Utility/Uploads/export/" + res.filename, '_blank');
            //            },
            //            error: function (i, v) {
            //                showloader(false)
            //                alert("error")
            //            }
            //        });
            //    }
            //    else {
            //        alert("Select atleast 1 university to download.")
            //    }
            //})

            $("#btnsearch,.btnsearch").click(function () {
                universitysearch();
            })

            $("#txtsearchtext").keypress(function (event) {

                var keycode = (event.keyCode ? event.keyCode : event.which);
                if (keycode == '13') {
                    //alert('You pressed a "enter" key in textbox');
                    universitysearch();
                }

            })

            $("#btncompare").click(function () {
                if (ckb_compare_arr.length < 2) {
                    alert("At least 2 courses are required to compare!")
                    return;
                }
                else {
                    // alert(ckb_compare_arr.join(", "))
                    showloader(true)
                    $.ajax({
                        type: "GET",
                        url: '/university/compareuniversity/?uid=' + ckb_compare_arr.join(", "),
                        data: null,
                        //dataType: "json",
                        contentType: "application/json; charset=utf-8",
                        success: function (i, v) {
                            //$(".dvcompare").addClass("hide");
                            showloader(false)
                            var row = ""
                            for (var x = 1; x <= 9; x++) {

                                if (x == 1) {
                                    row += "<tr>"
                                    row += "<td><b>Program Name</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.Name + "</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 2) {
                                    row += "<tr>"
                                    row += "<td><b>University Name</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.University + "</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 3) {
                                    row += "<tr>"
                                    row += "<td><b>Website URL</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>NA</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 4) {
                                    row += "<tr>"
                                    row += "<td><b>Location</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.Country + "</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 5) {
                                    row += "<tr>"
                                    row += "<td><b>Program Level</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.Studylvl + "</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 6) {
                                    row += "<tr>"
                                    row += "<td><b>Duration</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.Duration + "  Months</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 7) {
                                    row += "<tr>"
                                    row += "<td><b>Intakes</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.Intakes + "</td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 8) {
                                    row += "<tr>"
                                    row += "<td><b>Standardized Requirements</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td><ul class='a'><li>IELTS Overall: " + v.IeltsOverall + "</li> <li>IELTS no Band Less Than: " + v.IeltsNoBandLessThan + "</li> <li>TOEFL iBT Overall: " + v.ToeflScore + "</li> <li>TOEFL iBT no Bands Less Than: " + v.TOEFLNoSectionLessThan + "</li> <li>PTE Overall: " + v.PteScore + "</li>  <li>PTE No Bands Less Than: " + v.PTENoSectionLessThan + "</li></ul></td>";
                                    })
                                    row += "</tr>"
                                }
                                else if (x == 9) {
                                    row += "<tr>"
                                    row += "<td><b>Program Tuition Fees</b></td>";
                                    $.each(i, function (i, v) {
                                        row += "<td>" + v.TutionFee + "</td>";
                                    })
                                    row += "</tr>"
                                }

                            }
                            $(".comparetbody").empty().append(row);
                            $('#comparemodal').modal('show');
                        },
                        error: function (i, v) {
                            showloader(false)
                            alert("error")

                        }
                    });



                }
            })
        });


    </script>
}  